Create Automation
curl --request POST \
--url https://api.example.com/api/notifications/deployments/{deploymentId}/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"automation": {
"filters": {
"conditions": [
{
"values": [
"<string>"
]
}
]
},
"actions": [
{
"config": {}
}
],
"active": true,
"name": "<string>",
"description": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedBy": "<string>",
"internalOnly": true
}
}
'import requests
url = "https://api.example.com/api/notifications/deployments/{deploymentId}/automations"
payload = {
"deploymentId": "<string>",
"automation": {
"filters": { "conditions": [{ "values": ["<string>"] }] },
"actions": [{ "config": {} }],
"active": True,
"name": "<string>",
"description": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedBy": "<string>",
"internalOnly": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
automation: {
filters: {conditions: [{values: ['<string>']}]},
actions: [{config: {}}],
active: true,
name: '<string>',
description: '<string>',
createdBy: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
id: '<string>',
updatedBy: '<string>',
internalOnly: true
}
})
};
fetch('https://api.example.com/api/notifications/deployments/{deploymentId}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automation": {
"filters": {
"conditions": [
{
"values": [
"<string>"
]
}
]
},
"actions": [
{
"config": {}
}
],
"active": true,
"name": "<string>",
"description": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedBy": "<string>",
"internalOnly": true
}
}Automations
Create Automation
Create a new automation.
POST
/
api
/
notifications
/
deployments
/
{deploymentId}
/
automations
Create Automation
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I